# Use source code with dual-license
%define pkgname acpica-unix2

Name:		acpica-tools
Version:        20160930
Release:	%mkrel 1
Summary:	ACPICA tools for the development and debug of ACPI tables
Source0:	https://acpica.org/sites/acpica/files/%{pkgname}-%{version}.tar.gz
Patch0:		acpica-tools-20150717-Mageia-no_strip_on_install.patch
License:	GPLv2
Group:		Development/Kernel
Url:		http://www.acpica.org
BuildRequires:	flex >= 2.5.35
BuildRequires:	bison >= 2.4.2
Provides:	iasl = {%version}-%{release}
Obsoletes:	iasl < 20130927

%description
IASL compiles ASL (ACPI Source Language) into AML (ACPI Machine
Language). This AML is suitable for inclusion as a DSDT in system
firmware. It also can disassemble AML, for debugging purposes.

This version of the tools is being released under GPLv2 license.

%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

# spurious executable permissions on text files in upstream
chmod a-x changes.txt

%build
sed -i -e 's/_CYGWIN/_LINUX/g' -e 's/-Werror//g' generate/unix/Makefile.config
make -C generate/unix CC="gcc $RPM_OPT_FLAGS"

%install
make DESTDIR=%{buildroot} install
# Fix bin perms
chmod -R u+w %{buildroot}/%{_bindir}/*

%files
%doc changes.txt
%{_bindir}/iasl
%{_bindir}/acpi*


%changelog
* Fri Nov 11 2016 luigiwalser <luigiwalser> 20160930-1.mga6
+ Revision: 1066426
- 20160930

* Sat Sep 10 2016 luigiwalser <luigiwalser> 20160831-1.mga6
+ Revision: 1051243
- 20160831

* Thu Aug 11 2016 luigiwalser <luigiwalser> 20160729-1.mga6
+ Revision: 1045482
- 20160729

* Mon May 09 2016 luigiwalser <luigiwalser> 20160422-1.mga6
+ Revision: 1011767
- 20160422

* Sun Apr 17 2016 tv <tv> 20160318-1.mga6
+ Revision: 1003281
- enable build on ARM
- new release

* Mon Jan 25 2016 luigiwalser <luigiwalser> 20160108-1.mga6
+ Revision: 927097
- 20160108

* Thu Dec 31 2015 luigiwalser <luigiwalser> 20151124-1.mga6
+ Revision: 917299
- 20151124
- fix acpinames.h header file name

* Tue Oct 27 2015 ycantin <ycantin> 20150930-1.mga6
+ Revision: 895693
- new version 20150930
- fix spurious perms from upstream

* Fri Aug 14 2015 ycantin <ycantin> 20150717-3.mga6
+ Revision: 864657
- Oops : Also switch to GPLv2 upstream sources
- new version 20150717
- fix empty debuginfo package

* Wed Jul 15 2015 sander85 <sander85> 20150619-1.mga6
+ Revision: 854426
- New version: 20150619

* Wed Oct 08 2014 luigiwalser <luigiwalser> 20140926-1.mga5
+ Revision: 737582
- 20140926

* Tue Sep 16 2014 umeabot <umeabot> 20140828-2.mga5
+ Revision: 677690
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 20140828-1.mga5
+ Revision: 672380
- 20140828

* Sat Aug 16 2014 dams <dams> 20140724-1.mga5
+ Revision: 664388
- new version 20140724

* Mon Apr 28 2014 dams <dams> 20140424-1.mga5
+ Revision: 618698
- new version 20140424

* Sat Feb 15 2014 dams <dams> 20140214-1.mga5
+ Revision: 591806
- new version 20140214

* Wed Feb 05 2014 dams <dams> 20140114-1.mga5
+ Revision: 582894
- new version 20140114

* Tue Dec 24 2013 dams <dams> 20131115-1.mga5
+ Revision: 560297
- Update %%files
- Update %%summary
- Update %%name
- Update %%license
- Add Provides and Obsoletes on 'iasl'
- New version 20131115
- rename .spec file
- rename as the new project name (mga#12075)
- new version 20130927

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Apr 08 2013 dams <dams> 20130328-1.mga3
+ Revision: 409064
- new version 20130328

* Fri Feb 01 2013 dams <dams> 20130117-1.mga3
+ Revision: 393891
- new version 20130117

* Sat Jan 12 2013 umeabot <umeabot> 20121018-2.mga3
+ Revision: 354034
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 20121018-1.mga3
+ Revision: 317207
- new version 20121018
- remove useless patch

* Sun Sep 09 2012 dams <dams> 20120816-1.mga3
+ Revision: 291244
- new version 20120816
- update specfile to fix build

  + luigiwalser <luigiwalser>
    - 20120816

* Fri Jun 01 2012 dams <dams> 20120518-1.mga3
+ Revision: 252753
- new version 20120518

* Fri Nov 18 2011 pterjan <pterjan> 20100528-1.mga2
+ Revision: 168821
- Update to 20100528

* Tue Jan 18 2011 ahmad <ahmad> 20090422-3.mga1
+ Revision: 21910
- imported package iasl

